Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.operation.distance
Class GeometryFacetSequence

    java.lang.Object
      com.vividsolutions.jts.operation.distance.GeometryFacetSequence

    public class GeometryFacetSequence

extends java.lang.Object

Represents a sequence of facets (points or line segments) of a `Geometry` specified by a subsection of a `CoordinateSequence`.

Author:
  Martin Davis

Constructor Summary
`GeometryFacetSequence(CoordinateSequence pts, int start)` Creates a new sequence for a single point from a CoordinateSequence.
`GeometryFacetSequence(CoordinateSequence pts, int start, int end)` Creates a new section based on a CoordinateSequence.

Method Summary
`double` | `distance(GeometryFacetSequence sect)`
`Envelope` | `getEnvelope()`
`boolean` | `isPoint()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeometryFacetSequence

    public GeometryFacetSequence(CoordinateSequence pts,
                                 int start,
                                 int end)

  Creates a new section based on a CoordinateSequence.

  Parameters:
    `pts` - the sequence holding the points in the section
    `start` - the index of the start point
    `end` - the index of the end point + 1

### GeometryFacetSequence

    public GeometryFacetSequence(CoordinateSequence pts,
                                 int start)

  Creates a new sequence for a single point from a CoordinateSequence.

  Parameters:
    `pts` - the sequence holding the points in the facet sequence
    `start` - the index of the point

Method Detail

### getEnvelope

    public Envelope getEnvelope()

### isPoint

    public boolean isPoint()

### distance

    public double distance(GeometryFacetSequence sect)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD